Subject: Re: cygwin-1.3.11-3: still cannot compile perl-5.8
From: "Gerrit P. Haase" <[email-masked]>
To: Christopher Faylor <[email-masked]>
Date: Tue, 25 Jun 2002 22:09:59 +0200

Hallo Christopher,

Am Dienstag, 25. Juni 2002 um 21:51 schriebst du:

> On Tue, Jun 25, 2002 at 09:44:33PM +0200, Gerrit P. Haase wrote:
>>>>(gdb) bt
>>>>#0  0x77f34ac4 in _libkernel32_a_iname ()
>>>>#1  0xffffffff in ?? ()
>>>>#2  0x6107120a in _libkernel32_a_iname ()
>>>>#3  0x0049cfcf in Perl_pp_link (my_perl=0xa013cf0) at pp_sys.c:3556
>>>                    ^^^^^^^^^^^                         ^^^^^^^^^^^^^
>>
>>> What function is this calling?
>>
>>PP(pp_link)
>>{
>>#ifdef HAS_LINK
>>    dSP; dTARGET;
>>    STRLEN n_a;
>>    char *tmps2 = POPpx;
>>    char *tmps = SvPV(TOPs, n_a);
>>    TAINT_PROPER("link");
>>    SETi( PerlLIO_link(tmps, tmps2) >= 0 ); <----3556
>>    RETURN;
>>#else
>>    DIE(aTHX_ PL_no_func, "link");
>>#endif
>>}
>>
>>iperlsys.h:
>>#define PerlLIO_link(oldname, newname)                                  \
>>        (*PL_LIO->pLink)(PL_LIO, (oldname), (newname))
>>
>>pp.h:
>>#define SETi(i)         STMT_START { sv_setiv(TARG, (IV)(i)); SETTARG; } STMT_END

> So, that confirms that it is dying in the link() call even though the
> location from your stack dump doesn't make sense (not your fault).

> Do you have a debugging DLL handy or can I send you one?  If you set a
> breakpoint in _link in the cygwin DLL and single step along until it
> dies, it should be instructive.

No I have no debugging cygwin dll here right now.

> Also does the latest snapshot behave any differently?

I havn't recompiled wwith the snapshot, but just using the snapshot
with the prvious compiled perl gives also a crash.

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/